<?php

session_start();


ini_set('display_errors', 0);
error_reporting(E_ALL);


function jsonErrorHandler($errno, $errstr, $errfile, $errline) {
    
    error_log("Error [$errno] $errstr in $errfile on line $errline");
    
    if (isset($_GET['ajax']) || isset($_GET['search'])) {
        header('Content-Type: application/json');
        echo json_encode([
            'success' => false,
            'message' => 'PHP错误: ' . $errstr
        ]);
        exit;
    }
    
    
    return false;
}


set_error_handler('jsonErrorHandler');

// 数据库连接设置
$servername = "localhost"; // 数据库地址
$username = "ios_ckck_uno"; // 数据库用户名
$password = "XYjnLWCX6z"; // 数据库密码
$dbname = "ios_ckck_uno"; // 数据库名称


$conn = new mysqli($servername, $username, $password, $dbname);


if ($conn->connect_error) {
    if (isset($_GET['ajax']) || isset($_GET['search'])) {
        header('Content-Type: application/json');
        echo json_encode([
            'success' => false,
            'message' => '数据库连接失败: ' . $conn->connect_error
        ]);
        exit;
    } else {
        die("数据库连接失败: " . $conn->connect_error);
    }
}


if(isset($_GET['search'])) {
   
    header('Content-Type: application/json');
    
    try {
       
        if (!$conn->ping()) {
            $conn = new mysqli($servername, $username, $password, $dbname);
            if ($conn->connect_error) {
                throw new Exception("数据库重连失败: " . $conn->connect_error);
            }
        }
        
        $search = '%' . $conn->real_escape_string($_GET['search']) . '%';
        $sql = "SELECT id, type, name, nickname, bt2a, updatetime, image, keywords, bt1a 
                FROM fa_category 
                WHERE name LIKE ? OR keywords LIKE ?
                ORDER BY weigh DESC";
        
        $stmt = $conn->prepare($sql);
        if (!$stmt) {
            throw new Exception("准备搜索SQL语句失败: " . $conn->error);
        }
        
        $stmt->bind_param("ss", $search, $search);
        if (!$stmt->execute()) {
            throw new Exception("执行搜索查询失败: " . $stmt->error);
        }
        
        $result = $stmt->get_result();
        if (!$result) {
            throw new Exception("获取搜索结果失败: " . $stmt->error);
        }
        
        $apps = [];
        while ($row = $result->fetch_assoc()) {
            
            $bt2a = is_numeric($row['bt2a']) ? $row['bt2a'] : 0;
            $sizeInMB = round($bt2a / (1024 * 1024), 2);
            $row['bt2a'] = $sizeInMB;
            
          
            $updatetime = is_numeric($row['updatetime']) ? $row['updatetime'] : time();
            $row['updatetime'] = date("m-d H:i", $updatetime);
            
            
            if (isset($row['keywords'])) {
                
                $row['keywords'] = str_replace(['\n\n', '\n', '\r\n', '\r', "\n\n", "\n", "\r\n", "\r"], "\n", $row['keywords']);
                $row['keywords'] = nl2br($row['keywords']);
            }
            
            $apps[] = $row;
        }
        
        echo json_encode([
            'apps' => $apps,
            'success' => true,
            'count' => count($apps)
        ]);
        
    } catch (Exception $e) {
        http_response_code(500);
        echo json_encode([
            'success' => false,
            'message' => $e->getMessage()
        ]);
    }
    exit;
}

if(isset($_GET['ajax']) && $_GET['ajax'] == 1) {
    header('Content-Type: application/json');
    
    try {
        if (!$conn->ping()) {
            $conn = new mysqli($servername, $username, $password, $dbname);
            if ($conn->connect_error) {
                throw new Exception("数据库重连失败: " . $conn->connect_error);
            }
        }
        
        $page = isset($_GET['page']) ? (int)$_GET['page'] : 1;
        $per_page = isset($_GET['per_page']) ? (int)$_GET['per_page'] : 6;
        $offset = ($page - 1) * $per_page;
        $type = isset($_GET['type']) ? (int)$_GET['type'] : 0;

        error_log("Debug - AJAX request details:");
        error_log("Page: " . $page);
        error_log("Per page: " . $per_page);
        error_log("Offset: " . $offset);
        error_log("Requested type: " . $type);
        
       
        $countSql = "SELECT COUNT(*) as total FROM fa_category";
        if ($type > 0 && $type <= 5) {
            $countSql .= " WHERE type = ?";
        }
        error_log("Count SQL: " . $countSql);
        
        $stmt = $conn->prepare($countSql);
        if (!$stmt) {
            throw new Exception("准备计数SQL语句失败: " . $conn->error);
        }
        
        if ($type > 0 && $type <= 5) {
            $stmt->bind_param("i", $type);
            error_log("Binding type parameter: " . $type);
        }
        
        if (!$stmt->execute()) {
            throw new Exception("执行计数查询失败: " . $stmt->error);
        }
        
        $countResult = $stmt->get_result();
        if (!$countResult) {
            throw new Exception("获取计数结果失败: " . $stmt->error);
        }
        
        $totalCount = $countResult->fetch_assoc()['total'];
        error_log("Total count for type {$type}: {$totalCount}");
        
      
        $sql = "SELECT id, type, name, nickname, bt2a, updatetime, image, keywords, bt1a 
                FROM fa_category";
        
        if ($type > 0 && $type <= 5) {
            $sql .= " WHERE type = ?";
        }
        
        $sql .= " ORDER BY weigh DESC LIMIT ?, ?";
        error_log("Main SQL: " . $sql);
        
        $stmt = $conn->prepare($sql);
        if (!$stmt) {
            throw new Exception("准备主SQL语句失败: " . $conn->error);
        }
        
        if ($type > 0 && $type <= 5) {
            $stmt->bind_param("iii", $type, $offset, $per_page);
            error_log("Binding parameters - type: {$type}, offset: {$offset}, per_page: {$per_page}");
        } else {
            $stmt->bind_param("ii", $offset, $per_page);
            error_log("Binding parameters - offset: {$offset}, per_page: {$per_page}");
        }
        
        if (!$stmt->execute()) {
            throw new Exception("执行主查询失败: " . $stmt->error);
        }
        
        $result = $stmt->get_result();
        if (!$result) {
            throw new Exception("获取主查询结果失败: " . $stmt->error);
        }
        
        $apps = [];
        while ($row = $result->fetch_assoc()) {
            error_log("Found app: " . json_encode([
                'id' => $row['id'],
                'type' => $row['type'],
                'name' => $row['name']
            ], JSON_UNESCAPED_UNICODE));
            
            $bt2a = is_numeric($row['bt2a']) ? $row['bt2a'] : 0;
            $sizeInMB = round($bt2a / (1024 * 1024), 2);
            $row['bt2a'] = $sizeInMB;
            
            $updatetime = is_numeric($row['updatetime']) ? $row['updatetime'] : time();
            $row['updatetime'] = date("m-d H:i", $updatetime);
            
            if (isset($row['keywords'])) {
                $row['keywords'] = str_replace(['\n\n', '\n', '\r\n', '\r', "\n\n", "\n", "\r\n", "\r"], "\n", $row['keywords']);
                $row['keywords'] = nl2br($row['keywords']);
            }
            
            $apps[] = $row;
        }

        $has_more = ($offset + count($apps)) < $totalCount;
        error_log("Response summary - total: {$totalCount}, returned: " . count($apps) . ", has_more: " . ($has_more ? 'true' : 'false'));

        echo json_encode([
            'apps' => $apps,
            'success' => true,
            'page' => $page,
            'per_page' => $per_page,
            'total' => $totalCount,
            'offset' => $offset,
            'has_more' => $has_more
        ]);
        
    } catch (Exception $e) {
        http_response_code(500);
        echo json_encode([
            'success' => false,
            'message' => $e->getMessage()
        ]);
    }
    exit;
}


function loadAllSoftware($conn) {
    
    $countSql = "SELECT COUNT(*) as total FROM fa_category";
    $countResult = $conn->query($countSql);
    $totalCount = $countResult->fetch_assoc()['total'];
    
    $sql = "SELECT id, type, name, nickname, bt2a, updatetime, image, keywords, bt1a, bt2b FROM fa_category ORDER BY weigh DESC LIMIT 6";
    
    $result = $conn->query($sql);
    if (!$result) {
        die("SQL 查询失败: " . $conn->error);
    }

    $apps = [];
    while ($row = $result->fetch_assoc()) {
        $bt2a = is_numeric($row['bt2a']) ? $row['bt2a'] : 0;
        $sizeInMB = round($bt2a / (1024 * 1024), 2);
        $row['bt2a'] = $sizeInMB . 'MB';
        
        $updatetime = is_numeric($row['updatetime']) ? $row['updatetime'] : time();
        $row['updatetime'] = date("m-d H:i", $updatetime);
        
        if (isset($row['keywords'])) {
            $row['keywords'] = str_replace(['\n\n', '\n', '\r\n', '\r', "\n\n", "\n", "\r\n", "\r"], "\n", $row['keywords']);
            $row['keywords'] = nl2br($row['keywords']);
        }
        
        $apps[] = $row;
    }

    $typesSql = "SELECT type, COUNT(*) as count 
                 FROM fa_category 
                 WHERE type IS NOT NULL AND type != '' 
                 GROUP BY type 
                 ORDER BY type";
    $typesResult = $conn->query($typesSql);
    $types = [];
    $typeNames = [
        '1' => '应用',
        '2' => '游戏',
        '3' => '影音',
        '4' => '工具',
        '5' => '插件'
    ];
    if ($typesResult) {
        while ($row = $typesResult->fetch_assoc()) {
            $type = trim($row['type']);
            error_log("Found category type: '" . $type . "' with count: " . $row['count']);
            if (isset($typeNames[$type])) {
                $types[$type] = $typeNames[$type];
                error_log("Matched category {$type} ({$typeNames[$type]}) has {$row['count']} items");
            } else {
                error_log("Unmatched category type: '" . $type . "'");
            }
        }
    }
    
    error_log("Final categories array: " . print_r($types, true));
   
    $freeAppsSql = "SELECT COUNT(*) as count FROM fa_category WHERE bt2b = 0";
    $freeAppsResult = $conn->query($freeAppsSql);
    $freeAppsCount = 0;
    if ($freeAppsResult && $row = $freeAppsResult->fetch_assoc()) {
        $freeAppsCount = $row['count'];
    }
    
   
    $paidAppsSql = "SELECT COUNT(*) as count FROM fa_category WHERE bt2b = 1";
    $paidAppsResult = $conn->query($paidAppsSql);
    $paidAppsCount = 0;
    if ($paidAppsResult && $row = $paidAppsResult->fetch_assoc()) {
        $paidAppsCount = $row['count'];
    }
    
    
    $recentUpdateTime = time() - (48 * 3600); 
    $recentUpdatesSql = "SELECT COUNT(*) as count FROM fa_category WHERE updatetime >= $recentUpdateTime";
    $recentUpdatesResult = $conn->query($recentUpdatesSql);
    $recentUpdatesCount = 0;
    if ($recentUpdatesResult && $row = $recentUpdatesResult->fetch_assoc()) {
        $recentUpdatesCount = $row['count'];
    }

    return [
        'apps' => $apps, 
        'total' => $totalCount, 
        'types' => $types,
        'freeAppsCount' => $freeAppsCount,
        'paidAppsCount' => $paidAppsCount,
        'recentUpdatesCount' => $recentUpdatesCount
    ];
}


$appsData = loadAllSoftware($conn);
$apps = $appsData['apps'];
$appsCount = $appsData['total'];
$types = $appsData['types'];
$freeAppsCount = $appsData['freeAppsCount'];
$paidAppsCount = $appsData['paidAppsCount'];
$recentUpdatesCount = $appsData['recentUpdatesCount'];
?>

<!DOCTYPE html>
<html lang="zh-CN">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="default">
    <title>App Store</title>
    <style>
        :root {
           
            --apple-blue: #007AFF;
            --apple-blue-dark: #0A84FF;
            --apple-green: #34C759;
            --apple-red: #FF3B30;
            --apple-red-dark: #FF453A;
            --apple-gray: #8E8E93;
            --apple-gray2: #AEAEB2;
            --apple-gray3: #C7C7CC;
            --apple-gray4: #D1D1D6;
            --apple-gray5: #E5E5EA;
            --apple-gray6: #F2F2F7;
            
           
            --text-primary: #000000;
            --text-secondary: #3C3C43;
            --text-tertiary: rgba(60, 60, 67, 0.6);
            --text-quaternary: rgba(60, 60, 67, 0.3);
            
           
            --bg-primary: #FFFFFF;
            --bg-secondary: #F2F2F7;
            --bg-tertiary: #FFFFFF;
            
          
            --separator: rgba(60, 60, 67, 0.1);
            --separator-opaque: #C6C6C8;
            
           
            --radius-small: 6px;
            --radius-medium: 10px;
            --radius-large: 14px;
            --radius-xl: 18px;
            
            --spacing-2: 2px;
            --spacing-4: 4px;
            --spacing-8: 8px;
            --spacing-12: 12px;
            --spacing-16: 16px;
            --spacing-20: 20px;
            --spacing-24: 24px;
            --spacing-32: 32px;
            --spacing-40: 40px;
            --spacing-48: 48px;
            --spacing-64: 64px;
            
            
            --shadow-small: 0 2px 4px rgba(0, 0, 0, 0.05);
            --shadow-medium: 0 4px 8px rgba(0, 0, 0, 0.05);
            
        
            --timing-function: cubic-bezier(0.25, 0.1, 0.25, 1);
        }

     
        @media (prefers-color-scheme: dark) {
            :root {
                --apple-blue: #0A84FF;
                --apple-blue-dark: #409CFF;
                --apple-green: #30D158;
                --apple-red: #FF453A;
                --apple-red-dark: #FF6961;
                --apple-gray: #8E8E93;
                --apple-gray2: #636366;
                --apple-gray3: #48484A;
                --apple-gray4: #3A3A3C;
                --apple-gray5: #2C2C2E;
                --apple-gray6: #1C1C1E;
                
                --text-primary: #FFFFFF;
                --text-secondary: rgba(235, 235, 245, 0.9);
                --text-tertiary: rgba(235, 235, 245, 0.6);
                --text-quaternary: rgba(235, 235, 245, 0.3);
                
                --bg-primary: #000000;
                --bg-secondary: #1C1C1E;
                --bg-tertiary: #2C2C2E;
                
                --separator: rgba(84, 84, 88, 0.6);
                --separator-opaque: #38383A;
            }
        }

        * {
            margin: 0;
            padding: 0;
            box-sizing: border-box;
            -webkit-tap-highlight-color: transparent;
        }

        body {
            font-family: -apple-system, BlinkMacSystemFont, 'SF Pro Text', 'SF Pro Display', 'Helvetica Neue', Arial, sans-serif;
            background-color: var(--bg-primary);
            color: var(--text-primary);
            line-height: 1.5;
            -webkit-font-smoothing: antialiased;
            -moz-osx-font-smoothing: grayscale;
            padding-bottom: env(safe-area-inset-bottom);
        }

      
        .app-container {
            max-width: 1070px;
            margin: 0 auto;
            padding: 0 var(--spacing-16);
        }

     
        .nav-bar {
            position: sticky;
            top: 0;
            z-index: 100;
            background-color: rgba(255, 255, 255, 0.85);
            backdrop-filter: saturate(180%) blur(20px);
            -webkit-backdrop-filter: saturate(180%) blur(20px);
            border-bottom: 1px solid var(--separator);
        }

        @media (prefers-color-scheme: dark) {
            .nav-bar {
                background-color: rgba(0, 0, 0, 0.85);
            }
        }

        .nav-content {
            display: flex;
            align-items: center;
            height: 44px;
        }

        .nav-logo {
            font-size: 21px;
            font-weight: 600;
            color: var(--apple-blue);
            text-decoration: none;
            letter-spacing: -0.5px;
            margin-right: var(--spacing-16);
        }

        .nav-search-container {
            flex: 1;
            max-width: 680px;
            position: relative;
        }

        .search-input {
            width: 100%;
            height: 36px;
            padding: 0 var(--spacing-32) 0 var(--spacing-32);
            border-radius: 8px;
            border: none;
            background-color: var(--bg-secondary);
            font-size: 17px;
            color: var(--text-primary);
            transition: all 0.2s var(--timing-function);
        }

        .search-input:focus {
            outline: none;
            background-color: var(--bg-secondary);
        }

        .search-icon {
            position: absolute;
            left: var(--spacing-8);
            top: 50%;
            transform: translateY(-50%);
            width: 20px;
            height: 20px;
            color: var(--apple-gray);
        }

      
        .main-content {
            padding: var(--spacing-24) 0 var(--spacing-64);
        }

        
        .today-section {
            margin-bottom: var(--spacing-48);
        }

        .section-header {
            display: flex;
            align-items: center;
            justify-content: space-between;
            margin: var(--spacing-0);
            position: relative;
            padding-bottom: var(--spacing-16);
            
        }

        .section-title {
            font-size: 28px;
            font-weight: 700;
            letter-spacing: -0.02em;
            color: var(--text-primary);
            background: linear-gradient(135deg, var(--apple-blue), #5ac8fa);
            -webkit-background-clip: text;
            -webkit-text-fill-color: transparent;
            background-clip: text;
            text-fill-color: transparent;
        }

        .section-subtitle {
            font-size: 19px;
            font-weight: 400;
            color: var(--text-tertiary);
            margin-top: var(--spacing-4);
        }

        .section-header-content {
            text-align: right;
            max-width: 60%;
            margin: auto;
        }

        .app-count {
            font-size: 15px;
            color: var(--text-tertiary);
            margin-top: var(--spacing-8);
        }

       
        .notice-section {
            margin-bottom: var(--spacing-32);
        }

        .notice-card {
            background-color: var(--bg-secondary);
            border-radius: var(--radius-large);
            padding: var(--spacing-16);
            margin-bottom: var(--spacing-16);
        }

        .notice-card.primary {
            background-color: rgba(0, 122, 255, 0.08);
        }

        .notice-card.warning {
            background-color: rgba(255, 59, 48, 0.08);
        }

        .notice-title {
            font-size: 17px;
            font-weight: 600;
            color: var(--apple-blue);
            margin-bottom: var(--spacing-8);
        }

        .notice-card.warning .notice-title {
            color: var(--apple-red);
        }

        .notice-text {
            font-size: 15px;
            color: var(--text-secondary);
            line-height: 1.4;
        }

       
        .category-section {
            margin-bottom: var(--spacing-24);
            position: relative;
        }

        .category-scroll {
            overflow-x: auto;
            white-space: nowrap;
            -webkit-overflow-scrolling: touch;
            scrollbar-width: none;
            padding: var(--spacing-4) 0;
            margin: 0 -16px;
            padding: 0 16px;
        }

        .category-scroll::-webkit-scrollbar {
            display: none;
        }

        .category-tabs {
            display: inline-flex;
            gap: var(--spacing-8);
        }

        .category-tab {
            padding: var(--spacing-8) var(--spacing-16);
            font-size: 15px;
            font-weight: 500;
            color: var(--text-primary);
            background: none;
            border: none;
            border-radius: 20px;
            cursor: pointer;
            transition: all 0.2s var(--timing-function);
            background-color: var(--bg-secondary);
        }

        .category-tab.active {
            background-color: var(--apple-blue);
            color: white;
        }

       
        .apps-grid {
            display: grid;
            grid-template-columns: repeat(auto-fill, minmax(320px, 1fr));
            gap: var(--spacing-16);
        }

        .app-card {
            background-color: var(--bg-tertiary);
            border-radius: var(--radius-large);
            overflow: hidden;
            transition: all 0.3s var(--timing-function);
            box-shadow: var(--shadow-small);
            border: 1px solid var(--separator);
        }

        .app-card:hover {
            transform: translateY(-2px);
            box-shadow: var(--shadow-medium);
        }

        .app-header {
            display: flex;
            align-items: center;
            padding: var(--spacing-16);
            border-bottom: 1px solid var(--separator);
        }

        .app-icon {
            width: 64px;
            height: 64px;
            border-radius: var(--radius-medium);
            object-fit: cover;
            box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
            margin-right: var(--spacing-16);
        
        }

        .app-title-area {
            flex: 1;
            min-width: 0;
        }

        .app-name {
            font-size: 17px;
            font-weight: 600;
            margin-bottom: var(--spacing-4);
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            color: var(--text-primary);
        }

        .app-meta {
            display: flex;
            align-items: center;
            flex-wrap: wrap;
            gap: var(--spacing-4);
            font-size: 13px;
            color: var(--text-tertiary);
        }

        .app-meta2 {
            display: flex;
            align-items: center;
            flex-wrap: nowrap;
            gap: var(--spacing-4);
            font-size: 13px;
            color: var(--text-tertiary);
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .get-button {
            min-width: 70px;
            height: 30px;
            display: flex;
            align-items: center;
            justify-content: center;
            background-color: var(--bg-secondary);
            color: var(--apple-blue);
            border: none;
            border-radius: 15px;
            font-size: 14px;
            font-weight: 600;
            cursor: pointer;
            transition: all 0.2s var(--timing-function);
            margin-left: var(--spacing-16);
        }

        .get-button:hover {
            background-color: rgba(0, 122, 255, 0.1);
        }

        .app-body {
            padding: var(--spacing-16);
        }

        .app-description {
            font-size: 15px;
            color: var(--text-secondary);
            display: -webkit-box;
            -webkit-line-clamp: 3;
            -webkit-box-orient: vertical;
            overflow: hidden;
            line-height: 1.4;
            white-space: normal;
            word-break: break-word;
        }

       
        .loading-indicator {
            text-align: center;
            padding: var(--spacing-32) 0;
            color: var(--text-tertiary);
            font-size: 17px;
            display: none;
        }

      
        .no-results {
            text-align: center;
            padding: var(--spacing-48) var(--spacing-24);
            background-color: var(--bg-tertiary);
            border-radius: var(--radius-large);
            border: 1px solid var(--separator);
        }

        .no-results-title {
            font-size: 19px;
            font-weight: 600;
            margin-bottom: var(--spacing-8);
            color: var(--text-primary);
        }

        .no-results-text {
            font-size: 17px;
            color: var(--text-tertiary);
        }

        
        .grid-full-width {
            grid-column: 1 / -1;
            width: 100%;
        }

       
        .no-more-apps {
            margin: var(--spacing-32) 0;
            text-align: center;
        }

        .no-more-apps .no-results {
            background-color: transparent;
            border: none;
            padding: var(--spacing-16);
        }

        .no-more-apps .no-results-text {
            color: var(--text-tertiary);
            font-size: 15px;
            position: relative;
            display: inline-block;
            padding: 0 var(--spacing-16);
        }

        .no-more-apps .no-results-text::before,
        .no-more-apps .no-results-text::after {
            content: '';
            position: absolute;
            top: 50%;
            width: 50px;
            height: 1px;
            background-color: var(--separator);
        }

        .no-more-apps .no-results-text::before {
            left: -40px;
        }

        .no-more-apps .no-results-text::after {
            right: -40px;
        }

        .footer {
            padding: var(--spacing-32) 0;
            border-top: 1px solid var(--separator);
            text-align: center;
            color: var(--text-tertiary);
            font-size: 12px;
        }

        .footer-links {
            display: flex;
            justify-content: center;
            gap: var(--spacing-16);
            margin-bottom: var(--spacing-16);
        }

        .footer-link {
            color: var(--apple-blue);
            text-decoration: none;
        }

        .footer-link:hover {
            text-decoration: underline;
        }

        .copyright {
            color: var(--text-quaternary);
        }

       
        .stats-container {
            margin: var(--spacing-8) 0;
            position: relative;
            overflow: hidden;
        }

        .stats-container::before {
            content: '';
            position: absolute;
            top: -100px;
            right: -100px;
            width: 300px;
            height: 300px;
            background: radial-gradient(circle, rgba(0, 122, 255, 0.1), transparent 70%);
            border-radius: 50%;
            z-index: 0;
        }

        .stats-grid {
            display: flex;
            justify-content: space-between;
            position: relative;
            z-index: 1;
        }

        .stat-card {
            flex: 1;
            position: relative;
            padding: var(--spacing-8) var(--spacing-4);
            text-align: center;
            transition: all 0.3s var(--timing-function);
            border-radius: var(--radius-large);
            overflow: hidden;
            backdrop-filter: blur(10px);
            -webkit-backdrop-filter: blur(10px);
        }

        .stat-card::after {
            content: '';
            position: absolute;
            bottom: 0;
            left: 50%;
            transform: translateX(-50%);
            width: 40px;
            height: 3px;
            background-color: var(--apple-blue);
            border-radius: 3px;
            transition: width 0.3s var(--timing-function);
        }

        .stat-card:hover::after {
            width: 60px;
        }

        .stat-value {
            font-size: 20px;
            font-weight: 700;
            color: var(--text-primary);
            margin-bottom: var(--spacing-2);
            font-feature-settings: "tnum";
            font-variant-numeric: tabular-nums;
            position: relative;
            display: inline-block;
        }

        .stat-value::before {
            content: '';
            position: absolute;
            top: -8px;
            left: -8px;
            width: 24px;
            height: 24px;
            border-radius: 50%;
            background-color: rgba(0, 122, 255, 0.1);
            z-index: -1;
        }

        .stat-label {
            font-size: 11px;
            color: var(--text-secondary);
            font-weight: 500;
            letter-spacing: -0.01em;
        }

      
        .quick-actions {
            margin: var(--spacing-8) 0;
            background-color: var(--bg-secondary);
            border-radius: var(--radius-xl);
            padding: var(--spacing-12) var(--spacing-8);
            box-shadow: var(--shadow-small);
        }

        .quick-actions-title {
            font-size: 16px;
            font-weight: 600;
            margin-bottom: var(--spacing-8);
            color: var(--text-primary);
            display: flex;
            align-items: center;
        }

        .quick-actions-title::before {
            content: '';
            display: inline-block;
            width: 12px;
            height: 12px;
            background-color: var(--apple-blue);
            border-radius: 50%;
            margin-right: var(--spacing-8);
        }

        .actions-grid {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(70px, 1fr));
            gap: var(--spacing-8);
        }

        .action-button {
            display: flex;
            flex-direction: column;
            align-items: center;
            text-decoration: none;
            transition: all 0.3s var(--timing-function);
            padding: var(--spacing-4) var(--spacing-2);
            border-radius: var(--radius-large);
        }

        .action-button:hover {
            transform: translateY(-4px);
            background-color: rgba(0, 122, 255, 0.05);
        }

        .action-icon-wrapper {
            width: 40px;
            height: 40px;
            border-radius: 10px;
            background-color: transparent;
            display: flex;
            align-items: center;
            justify-content: center;
            margin-bottom: var(--spacing-4);
            overflow: hidden;
            box-shadow: 0 4px 12px rgba(0, 0, 0, 0.08);
            transition: all 0.3s var(--timing-function);
            border: none;
            position: relative;
        }

        .action-button:hover .action-icon-wrapper {
            transform: scale(1.05);
            box-shadow: 0 6px 16px rgba(0, 0, 0, 0.12);
        }

        .action-icon {
            width: 100%;
            height: 100%;
            object-fit: cover;
            position: absolute;
            top: 0;
            left: 0;
        }

        .action-label {
            font-size: 11px;
            font-weight: 500;
            color: var(--text-primary);
            text-align: center;
            transition: color 0.2s var(--timing-function);
        }

        .action-button:hover .action-label {
            color: var(--apple-blue);
        }

     
        @media (max-width: 834px) {
            .nav-content {
                height: auto;
                padding: var(--spacing-8) 0;
                flex-direction: column;
                align-items: stretch;
                gap: var(--spacing-8);
            }

            .nav-logo {
                text-align: center;
                margin-right: 0;
                margin-bottom: var(--spacing-8);
            }

            .apps-grid {
                grid-template-columns: 1fr;
            }

            .section-title {
                font-size: 24px;
            }
            
            .section-header-content {
                max-width: 100%;
                text-align: center;
            }
            
            .stats-grid {
                flex-wrap: wrap;
            }
            
            .stat-card {
                flex: 0 0 calc(50% - var(--spacing-8));
                margin-bottom: var(--spacing-16);
            }
            
            .actions-grid {
                grid-template-columns: repeat(4, 1fr) !important;
            }
            
            .quick-actions {
                padding: var(--spacing-16);
            }
        }

        @media (max-width: 428px) {
            .app-container {
                padding: 0 var(--spacing-12);
            }

            .section-title {
                font-size: 22px;
            }

            .section-subtitle {
                font-size: 16px;
            }

            .app-header {
                padding: var(--spacing-12);
            }

            .app-icon {
                width: 56px;
                height: 56px;
            }

            .app-body {
                padding: var(--spacing-12);
            }

            .get-button {
                min-width: 64px;
                height: 28px;
                font-size: 13px;
            }
            
            .stat-card {
                flex: 0 0 calc(50% - var(--spacing-4));
                margin-bottom: var(--spacing-12);
                min-width: 0;
            }
            
            .stat-value {
                font-size: 18px;
            }
            
            .stat-label {
                font-size: 10px;
            }
            
            .actions-grid {
                grid-template-columns: repeat(4, 1fr) !important;
                gap: var(--spacing-4) !important;
            }
            
            .action-icon-wrapper {
                width: 36px !important;
                height: 36px !important;
            }
            
            .action-label {
                font-size: 10px !important;
            }
            
            .quick-actions-title {
                font-size: 15px;
            }
        }

        @media (max-width: 360px) {
            .stats-grid {
                gap: var(--spacing-2);
            }
            
            .stat-card {
                padding: var(--spacing-4) var(--spacing-2);
            }
            
            .actions-grid {
                grid-template-columns: repeat(4, 1fr) !important;
                gap: var(--spacing-2) !important;
            }
            
            .action-icon-wrapper {
                width: 32px !important;
                height: 32px !important;
            }
            
            .action-label {
                font-size: 9px !important;
            }
        }
        .hr_gradient2{
     width:100%;
     margin:0 auto;
     border: 0;
     height: 1px;
     background-image: linear-gradient(to right, transparent,  var(--text-primary) 50%, transparent);
     opacity: 0.8;
     margin-top: 10px;
     margin-bottom: 10px;
}

       
        .sheet-modal {
            position: fixed;
            left: 0;
            right: 0;
            bottom: 0;
            width: 100%;
            height: 100%;
            z-index: 1000;
            display: flex;
            flex-direction: column;
            justify-content: flex-end;
            visibility: hidden;
            pointer-events: none;
        }

        .sheet-modal.active {
            visibility: visible;
            pointer-events: auto;
        }

        .sheet-modal-overlay {
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.4);
            opacity: 0;
            transition: opacity 0.3s var(--timing-function);
        }

        .sheet-modal.active .sheet-modal-overlay {
            opacity: 1;
        }

        .sheet-modal-container {
            position: relative;
            background-color: var(--bg-primary);
            border-top-left-radius: 12px;
            border-top-right-radius: 12px;
            overflow: hidden;
            transform: translateY(100%);
            transition: transform 0.3s var(--timing-function);
            max-height: 85vh;
            display: flex;
            flex-direction: column;
        }

        .sheet-modal.active .sheet-modal-container {
            transform: translateY(0);
        }

        .sheet-modal-handle-wrapper {
            padding: 10px 0;
            display: flex;
            justify-content: center;
            background-color: var(--bg-primary);
        }

        .sheet-modal-handle {
            width: 36px;
            height: 5px;
            border-radius: 2.5px;
            background-color: var(--apple-gray3);
        }

        .sheet-modal-content {
            padding: 0 20px 30px 20px;
            overflow-y: auto;
            -webkit-overflow-scrolling: touch;
        }

        .sheet-app-header {
            display: flex;
            align-items: center;
            padding: 16px 0;
            border-bottom: 1px solid var(--separator);
        }

        .sheet-app-icon {
            width: 64px;
            height: 64px;
            border-radius: var(--radius-medium);
            object-fit: cover;
            box-shadow: 0 1px 2px rgba(0, 0, 0, 0.1);
            margin-right: var(--spacing-16);
        }

        .sheet-app-title-area {
            flex: 1;
            min-width: 0;
        }

        .sheet-app-name {
            font-size: 20px;
            font-weight: 600;
            margin-bottom: var(--spacing-4);
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            color: var(--text-primary);
        }

        .sheet-app-meta {
            display: flex;
            align-items: center;
            flex-wrap: wrap;
            gap: var(--spacing-4);
            font-size: 14px;
            color: var(--text-tertiary);
        }

        .sheet-app-meta2 {
            display: flex;
            align-items: center;
            flex-wrap: nowrap;
            gap: var(--spacing-4);
            font-size: 14px;
            color: var(--text-tertiary);
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
        }

        .sheet-app-body {
            padding: 16px 0;
        }

        .sheet-app-description {
            font-size: 16px;
            color: var(--text-secondary);
            line-height: 1.5;
            white-space: normal;
            word-break: break-word;
        }

        .sheet-download-button {
            display: flex;
            align-items: center;
            justify-content: center;
            min-width: 80px;
            height: 36px;
            background-color: var(--apple-blue);
            color: white;
            border: none;
            border-radius: 18px;
            font-size: 15px;
            font-weight: 600;
            cursor: pointer;
            transition: background-color 0.2s var(--timing-function);
            text-decoration: none;
            margin-left: var(--spacing-16);
        }

        .sheet-download-button:hover {
            background-color: var(--apple-blue-dark);
        }

        .sheet-cancel-button {
            display: flex;
            align-items: center;
            justify-content: center;
            height: 50px;
            background-color: var(--bg-secondary);
            color: var(--text-primary);
            border: none;
            border-radius: 12px;
            font-size: 17px;
            font-weight: 500;
            cursor: pointer;
            transition: background-color 0.2s var(--timing-function);
        }

        .sheet-cancel-button:hover {
            background-color: var(--apple-gray5);
        }

        @media (prefers-color-scheme: dark) {
            .sheet-download-button:hover {
                background-color: var(--apple-blue-dark);
            }

            .sheet-cancel-button:hover {
                background-color: var(--apple-gray4);
            }
        }

       
        body.sheet-open {
            overflow: hidden;
        }
    </style>
</head>
<body>
    
    <header class="nav-bar">
        <div class="app-container">
            <div class="nav-content">
                <a href="#" class="nav-logo">自定义-资源站</a>
                <div class="nav-search-container">
                    <svg class="search-icon" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round">
                        <circle cx="11" cy="11" r="8"></circle>
                        <line x1="21" y1="21" x2="16.65" y2="16.65"></line>
                    </svg>
                    <input type="text" id="searchInput" class="search-input" placeholder="搜索应用" aria-label="搜索应用">
                </div>
            </div>
        </div>
    </header>

    
    <main class="main-content">
        <div class="app-container">
           
            <section class="today-section">
                <div class="section-header">
                    <div class="section-header-content">
                        <h1 class="section-title">探索未知领域</h1>
                        <p class="section-subtitle">道途一望无边的遥远</p>
                    </div>
                </div>
                <hr class="hr_gradient2">
                
               
                <div class="stats-container" style="margin: var(--spacing-8) 0;">
                    <div class="stats-grid" style="display: flex; flex-wrap: wrap; justify-content: space-between; gap: var(--spacing-4);">
                        <div class="stat-card" style="flex: 1; min-width: 70px; padding: var(--spacing-8) var(--spacing-4);">
                            <div class="stat-value" style="font-size: 20px; margin-bottom: var(--spacing-2);"><?php echo $appsCount ?></div>
                            <div class="stat-label" style="font-size: 11px;">总计应用</div>
                        </div>
                        <div class="stat-card" style="flex: 1; min-width: 70px; padding: var(--spacing-8) var(--spacing-4);">
                            <div class="stat-value" style="font-size: 20px; margin-bottom: var(--spacing-2);"><?php echo $recentUpdatesCount ?></div>
                            <div class="stat-label" style="font-size: 11px;">近期更新</div>
                        </div>
                        <div class="stat-card" style="flex: 1; min-width: 70px; padding: var(--spacing-8) var(--spacing-4);">
                            <div class="stat-value" style="font-size: 20px; margin-bottom: var(--spacing-2);"><?php echo $freeAppsCount ?></div>
                            <div class="stat-label" style="font-size: 11px;">免费应用</div>
                        </div>
                        <div class="stat-card" style="flex: 1; min-width: 70px; padding: var(--spacing-8) var(--spacing-4);">
                            <div class="stat-value" style="font-size: 20px; margin-bottom: var(--spacing-2);"><?php echo $paidAppsCount ?></div>
                            <div class="stat-label" style="font-size: 11px;">付费应用</div>
                        </div>
                    </div>
                </div>
                
               
                <div class="quick-actions" style="margin: var(--spacing-8) 0; padding: var(--spacing-12) var(--spacing-8);">
                    <h3 class="quick-actions-title" style="font-size: 16px; margin-bottom: var(--spacing-8);">快速添加</h3>
                    <div class="actions-grid" style="display: grid; grid-template-columns: repeat(auto-fit, minmax(70px, 1fr)); gap: var(--spacing-8); max-width: 100%; overflow-x: auto;">
                        <a href="ESign://addsource?url=https://ios.ckck.uno/appstore" target="_blank" class="action-button" style="padding: var(--spacing-4) var(--spacing-2); text-align: center; display: flex; flex-direction: column; align-items: center;">
                            <div class="action-icon-wrapper" style="width: 40px; height: 40px; margin: 0 auto var(--spacing-4) auto; display: flex; align-items: center; justify-content: center;">
                                <img src="/img/ESign.png" alt="轻松签" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                            </div>
                            <span class="action-label" style="font-size: 11px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">轻松签</span>
                        </a>
                        <a href="nsk-sign://addsource?url=https://ios.ckck.uno/appstore" target="_blank" class="action-button" style="padding: var(--spacing-4) var(--spacing-2); text-align: center; display: flex; flex-direction: column; align-items: center;">
                            <div class="action-icon-wrapper" style="width: 40px; height: 40px; margin: 0 auto var(--spacing-4) auto; display: flex; align-items: center; justify-content: center;">
                                <img src="/img/nsk-sign.png" alt="全能签" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                            </div>
                            <span class="action-label" style="font-size: 11px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">全能签</span>
                        </a>
                         <a href="/" target="_blank" class="action-button" style="padding: var(--spacing-4) var(--spacing-2); text-align: center; display: flex; flex-direction: column; align-items: center;">
                            <div class="action-icon-wrapper" style="width: 40px; height: 40px; margin: 0 auto var(--spacing-4) auto; display: flex; align-items: center; justify-content: center;">
                                <img src="/img/jc.png" alt="官网" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                            </div> 
                            <span class="action-label" style="font-size: 11px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">官网</span>
                        </a>
                         <a href="/" target="_blank" class="action-button" style="padding: var(--spacing-4) var(--spacing-2); text-align: center; display: flex; flex-direction: column; align-items: center;">
                            <div class="action-icon-wrapper" style="width: 40px; height: 40px; margin: 0 auto var(--spacing-4) auto; display: flex; align-items: center; justify-content: center;">
                                <img src="https://ic.ckck.uno/admin/img/source_images/20250511_124029_e20005a9.jpeg" alt="官网" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                            </div> 
                            <span class="action-label" style="font-size: 11px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">免费解锁码</span>
                        </a>
                      
                      <a href="https://wxaurl.cn/KEXILncul1a" target="_blank" class="action-button" style="padding: var(--spacing-4) var(--spacing-2); text-align: center; display: flex; flex-direction: column; align-items: center;">
                            <div class="action-icon-wrapper" style="width: 40px; height: 40px; margin: 0 auto var(--spacing-4) auto; display: flex; align-items: center; justify-content: center;">
                                <img src="//img/ma.jpg" alt="官网" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                            </div> 
                            <span class="action-label" style="font-size: 11px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">自定义-发码</span>
                        </a>
                         <a href="https://wxaurl.cn/LTyeX5YTHWd" target="_blank" class="action-button" style="padding: var(--spacing-4) var(--spacing-2); text-align: center; display: flex; flex-direction: column; align-items: center;">
                            <div class="action-icon-wrapper" style="width: 40px; height: 40px; margin: 0 auto var(--spacing-4) auto; display: flex; align-items: center; justify-content: center;">
                                <img src="//img/gz.jpg" alt="官网" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                            </div> 
                            <span class="action-label" style="font-size: 11px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">自定义-工具箱</span>
                        </a>
                        
                    </div>
                </div>
            </section>

            
            <section class="category-section">
                <div class="category-scroll">
                    <div class="category-tabs">
                        <button class="category-tab <?php echo !isset($_GET['type']) ? 'active' : ''; ?>" data-type="">全部</button>
                        <?php foreach ($types as $type => $name): ?>
                        <button class="category-tab <?php echo isset($_GET['type']) && $_GET['type'] == $type ? 'active' : ''; ?>" data-type="<?php echo htmlspecialchars($type); ?>">
                            <?php echo htmlspecialchars($name); ?>
                        </button>
                        <?php endforeach; ?>
                    </div>
                </div>
            </section>

        
            <section>
                <h2 class="section-title" id="appListTitle">精选应用</h2>
                <div id="applist" class="apps-grid">
                <?php
                    
                    foreach ($apps as $app) {
                        echo "<div class='app-card' data-type='{$app['type']}'>
                            <div class='app-header'>
                                <img src='{$app['image']}' class='app-icon' alt='{$app['name']}' onerror=\"this.src='/img/default-app-icon.png'\">
                                <div class='app-title-area'>
                                    <div class='app-name'>{$app['name']}</div>
                                    <div class='app-meta'>
                                        <span>版本{$app['nickname']}</span>
                                        <span>•</span>
                                        <span>{$app['bt2a']}</span>
                                    </div>
                                    <div class='app-meta2'>
                                    <span>更新于{$app['updatetime']}</span>
                                   </div>
                                </div>
                                <button class='get-button' onclick='return showAppDetails(this, event)'>详情</button>
                            </div>
                            <div class='app-body'>
                                <div class='app-description'>{$app['keywords']}</div>
                            </div>
                        </div>";
                    }
                ?>
                </div>

                <div id="loading" class="loading-indicator">加载中...</div>
            </section>
        </div>
    </main>

  
    <footer class="footer">
        <div class="app-container">
            <div class="copyright">Copyright © <?php echo date('Y'); ?> 自定义-资源站. 保留所有权利.</div>
            
        </div>
        
    </footer>

    
    <div id="app-sheet-modal" class="sheet-modal">
        <div class="sheet-modal-overlay"></div>
        <div class="sheet-modal-container">
            <div class="sheet-modal-handle-wrapper">
                <div class="sheet-modal-handle"></div>
            </div>
            <div class="sheet-modal-content">
                <div class="sheet-app-header">
                    <img id="sheet-app-icon" src="" class="sheet-app-icon" alt="">
                    <div class="sheet-app-title-area">
                        <div id="sheet-app-name" class="sheet-app-name"></div>
                        <div id="sheet-app-meta" class="sheet-app-meta"></div>
                        <div id="sheet-app-meta2" class="sheet-app-meta2"></div>
                    </div>
                    <a href="javascript:void(0)" onclick="xz(); return false;" class="sheet-download-button">下载</a>
                </div>
                <div class="sheet-app-body">
                    <div id="sheet-app-description" class="sheet-app-description"></div>
                </div>
            </div>
        </div>
    </div>

    <div id="custom-sheet-modal" class="sheet-modal">
        <div class="sheet-modal-overlay"></div>
        <div class="sheet-modal-container">
            <div class="sheet-modal-handle-wrapper">
                <div class="sheet-modal-handle"></div>
            </div>
            <div class="sheet-modal-content">
                <div class="sheet-app-header" style="justify-content: space-between;">
                    <div class="sheet-app-title-area">
                        <div class="sheet-app-name">快速添加</div>
                        <div class="sheet-app-meta">选择下方选项进行添加</div>
                    </div>
                    <button class="sheet-download-button" onclick="hideCustomModal()">关闭</button>
                </div>
                <div class="sheet-app-body">
                    <div class="quick-actions" style="margin: var(--spacing-8) 0; background-color: transparent; box-shadow: none; padding: 0;">
                        <h3 class="quick-actions-title" style="font-size: 16px; margin-bottom: var(--spacing-12);">快速添加到签名工具</h3>
                        <div class="actions-grid" style="display: grid; grid-template-columns: repeat(3, 1fr); gap: var(--spacing-16); max-width: 100%;">
                            <a href="ESign://addsource?url=https://ios.ckck.uno/appstore" target="_blank" class="action-button" style="padding: var(--spacing-8) var(--spacing-4); text-align: center; display: flex; flex-direction: column; align-items: center;">
                                <div class="action-icon-wrapper" style="width: 50px; height: 50px; margin: 0 auto var(--spacing-8) auto; display: flex; align-items: center; justify-content: center;">
                                    <img src="/img/1.png" alt="轻松签" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                                </div>
                                <span class="action-label" style="font-size: 14px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">轻松签</span>
                            </a>
                            <a href="nsk-sign://addsource?url=https://ios.ckck.uno/appstore" target="_blank" class="action-button" style="padding: var(--spacing-8) var(--spacing-4); text-align: center; display: flex; flex-direction: column; align-items: center;">
                                <div class="action-icon-wrapper" style="width: 50px; height: 50px; margin: 0 auto var(--spacing-8) auto; display: flex; align-items: center; justify-content: center;">
                                    <img src="/img/2.png" alt="全能签" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                                </div>
                                <span class="action-label" style="font-size: 14px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">全能签</span>
                            </a>
                            <a href="/" target="_blank" class="action-button" style="padding: var(--spacing-8) var(--spacing-4); text-align: center; display: flex; flex-direction: column; align-items: center;">
                                <div class="action-icon-wrapper" style="width: 50px; height: 50px; margin: 0 auto var(--spacing-8) auto; display: flex; align-items: center; justify-content: center;">
                                    <img src="/img/6.png" alt="官网" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                                </div> 
                                <span class="action-label" style="font-size: 14px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">官网</span>
                            </a>
                            <a href="/" target="_blank" class="action-button" style="padding: var(--spacing-8) var(--spacing-4); text-align: center; display: flex; flex-direction: column; align-items: center;">
                                <div class="action-icon-wrapper" style="width: 50px; height: 50px; margin: 0 auto var(--spacing-8) auto; display: flex; align-items: center; justify-content: center;">
                                    <img src="https://ic.ckck.uno/admin/img/source_images/20250511_124029_e20005a9.jpeg" alt="官网" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                                </div> 
                                <span class="action-label" style="font-size: 14px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">免费解锁码</span>
                            </a>
                            
                             <a href="https://wxaurl.cn/LTyeX5YTHWd" target="_blank" class="action-button" style="padding: var(--spacing-8) var(--spacing-4); text-align: center; display: flex; flex-direction: column; align-items: center;">
                                <div class="action-icon-wrapper" style="width: 50px; height: 50px; margin: 0 auto var(--spacing-8) auto; display: flex; align-items: center; justify-content: center;">
                                    <img src="//img/gz.jpg" alt="官网" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                                </div> 
                                <span class="action-label" style="font-size: 14px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">自定义-工具箱</span>
                            </a>
                            
                             <a href="https://wxaurl.cn/KEXILncul1a" target="_blank" class="action-button" style="padding: var(--spacing-8) var(--spacing-4); text-align: center; display: flex; flex-direction: column; align-items: center;">
                                <div class="action-icon-wrapper" style="width: 50px; height: 50px; margin: 0 auto var(--spacing-8) auto; display: flex; align-items: center; justify-content: center;">
                                    <img src="//img/ma.jpg" alt="官网" class="action-icon" style="max-width: 100%; max-height: 100%; object-fit: contain;">
                                </div> 
                                <span class="action-label" style="font-size: 14px; white-space: nowrap; overflow: hidden; text-overflow: ellipsis; width: 100%;">自定义-发码</span>
                            </a>
                        </div>
                      
               
            </div>
        </div>
    </div>

    <script>
        function xz() {
            showCustomModal();
            return false;
        }

        function showCustomModal() {
            const scrollY = window.scrollY;
            
            const modal = document.getElementById('custom-sheet-modal');
            const container = modal.querySelector('.sheet-modal-container');
            const overlay = modal.querySelector('.sheet-modal-overlay');
            
            container.style.transform = 'translateY(100%)';
            container.style.transition = 'none';
            overlay.style.opacity = '0';
            
            void modal.offsetWidth;
            
            modal.classList.add('active');
            
            setTimeout(() => {
                container.style.transition = 'transform 0.3s var(--timing-function)';
                container.style.transform = 'translateY(0)';
                overlay.style.opacity = '1';
                
                setTimeout(() => {
                    document.body.style.top = `-${scrollY}px`;
                    document.body.classList.add('sheet-open');
                }, 300);
            }, 10);
            
            setupCustomModalTouchEvents();
            
            return false;
        }
        
        function hideCustomModal() {
            const modal = document.getElementById('custom-sheet-modal');
            const container = modal.querySelector('.sheet-modal-container');
            const overlay = modal.querySelector('.sheet-modal-overlay');
          
            removeCustomModalTouchEvents();
          
            const transitionEnd = () => {
                container.style.transform = 'translateY(100%)';
                container.style.transition = '';
                overlay.style.opacity = '0';
            
                const scrollY = parseInt(document.body.style.top || '0') * -1;
                
                modal.classList.remove('active');
                document.body.classList.remove('sheet-open');
                
                document.body.style.top = '';
              
                window.scrollTo(0, scrollY);
                
                container.removeEventListener('transitionend', transitionEnd);
            };
            
            container.addEventListener('transitionend', transitionEnd);
            
            container.style.transform = 'translateY(100%)';
            overlay.style.opacity = '0';
        }
        
        function setupCustomModalTouchEvents() {
            const modal = document.getElementById('custom-sheet-modal');
            const container = modal.querySelector('.sheet-modal-container');
            const overlay = modal.querySelector('.sheet-modal-overlay');
            const handleWrapper = modal.querySelector('.sheet-modal-handle-wrapper');
            
            let startY = 0;
            let currentY = 0;
            let initialTranslate = 0;
            let isSwiping = false;
            
            function handleTouchStart(e) {
                startY = e.touches[0].clientY;
                initialTranslate = 0;
                isSwiping = true;
                container.style.transition = 'none';
            }
            
            function handleTouchMove(e) {
                if (!isSwiping) return;
                
                currentY = e.touches[0].clientY;
                const deltaY = currentY - startY;
                
                if (deltaY > 0) {
                    e.preventDefault(); 
                    initialTranslate = deltaY;
                    container.style.transform = `translateY(${deltaY}px)`;
                    
                    const opacity = 1 - (deltaY / container.offsetHeight * 1.5);
                    overlay.style.opacity = Math.max(0, opacity);
                }
            }
            
            function handleTouchEnd() {
                if (!isSwiping) return;
                
                isSwiping = false;
                container.style.transition = 'transform 0.3s var(--timing-function)';
                
                if (initialTranslate > container.offsetHeight * 0.2) {
                    hideCustomModal();
                } else {
                    container.style.transform = 'translateY(0)';
                    overlay.style.opacity = '1';
                }
            }
            
            handleWrapper.addEventListener('touchstart', handleTouchStart, { passive: false });
            document.addEventListener('touchmove', handleTouchMove, { passive: false });
            document.addEventListener('touchend', handleTouchEnd);
            
            overlay.addEventListener('click', hideCustomModal);
            
            modal._touchHandlers = {
                start: handleTouchStart,
                move: handleTouchMove,
                end: handleTouchEnd
            };
            modal._elements = {
                handleWrapper: handleWrapper,
                overlay: overlay
            };
        }
        
        function removeCustomModalTouchEvents() {
            const modal = document.getElementById('custom-sheet-modal');
            
            if (modal._touchHandlers && modal._elements) {
                modal._elements.handleWrapper.removeEventListener('touchstart', modal._touchHandlers.start);
                document.removeEventListener('touchmove', modal._touchHandlers.move);
                document.removeEventListener('touchend', modal._touchHandlers.end);
                modal._elements.overlay.removeEventListener('click', hideCustomModal);
                
                modal._touchHandlers = null;
                modal._elements = null;
            }
        }

        
        function showAppDetails(button, event) {
        
            if (event) {
                event.preventDefault();
                event.stopPropagation();
            }
        
            const scrollY = window.scrollY;
            
            const appCard = button.closest('.app-card');
            const appIcon = appCard.querySelector('.app-icon').src;
            const appName = appCard.querySelector('.app-name').textContent;
            const appMeta = appCard.querySelector('.app-meta').textContent;
            const appMeta2 = appCard.querySelector('.app-meta2').textContent;
            const appDescription = appCard.querySelector('.app-description').innerHTML;
            
            document.getElementById('sheet-app-icon').src = appIcon;
            document.getElementById('sheet-app-name').textContent = appName;
            document.getElementById('sheet-app-meta').textContent = appMeta;
            document.getElementById('sheet-app-meta2').textContent = appMeta2;
            document.getElementById('sheet-app-description').innerHTML = appDescription;
            
            const modal = document.getElementById('app-sheet-modal');
            const container = modal.querySelector('.sheet-modal-container');
            const overlay = modal.querySelector('.sheet-modal-overlay');
            
            container.style.transform = 'translateY(100%)';
            container.style.transition = 'none';
            overlay.style.opacity = '0';
            
            void modal.offsetWidth;
            
            modal.classList.add('active');
            
            setTimeout(() => {
                container.style.transition = 'transform 0.3s var(--timing-function)';
                container.style.transform = 'translateY(0)';
                overlay.style.opacity = '1';
                
                setTimeout(() => {
                    document.body.style.top = `-${scrollY}px`;
                    document.body.classList.add('sheet-open');
                }, 300);
            }, 10);
            
            setupModalTouchEvents();
            
            return false;
        }
        
        function hideAppDetails() {
            const modal = document.getElementById('app-sheet-modal');
            const container = modal.querySelector('.sheet-modal-container');
            const overlay = modal.querySelector('.sheet-modal-overlay');
          
            removeModalTouchEvents();
          
            const transitionEnd = () => {
                container.style.transform = 'translateY(100%)';
                container.style.transition = '';
                overlay.style.opacity = '0';
            
                const scrollY = parseInt(document.body.style.top || '0') * -1;
                
                modal.classList.remove('active');
                document.body.classList.remove('sheet-open');
                
                document.body.style.top = '';
              
                window.scrollTo(0, scrollY);
                
                container.removeEventListener('transitionend', transitionEnd);
            };
            
            container.addEventListener('transitionend', transitionEnd);
            
            container.style.transform = 'translateY(100%)';
            overlay.style.opacity = '0';
        }
        
        
        function setupModalTouchEvents() {
            const modal = document.getElementById('app-sheet-modal');
            const container = modal.querySelector('.sheet-modal-container');
            const overlay = modal.querySelector('.sheet-modal-overlay');
            const handleWrapper = modal.querySelector('.sheet-modal-handle-wrapper');
            
            let startY = 0;
            let currentY = 0;
            let initialTranslate = 0;
            let isSwiping = false;
            
            function handleTouchStart(e) {
                startY = e.touches[0].clientY;
                initialTranslate = 0;
                isSwiping = true;
                container.style.transition = 'none';
            }
            
            function handleTouchMove(e) {
                if (!isSwiping) return;
                
                currentY = e.touches[0].clientY;
                const deltaY = currentY - startY;
                
                if (deltaY > 0) {
                    e.preventDefault(); 
                    initialTranslate = deltaY;
                    container.style.transform = `translateY(${deltaY}px)`;
                    
                    
                    const opacity = 1 - (deltaY / container.offsetHeight * 1.5);
                    overlay.style.opacity = Math.max(0, opacity);
                }
            }
            
            function handleTouchEnd() {
                if (!isSwiping) return;
                
                isSwiping = false;
                container.style.transition = 'transform 0.3s var(--timing-function)';
                
                if (initialTranslate > container.offsetHeight * 0.2) {
                    hideAppDetails();
                } else {
                    container.style.transform = 'translateY(0)';
                    overlay.style.opacity = '1';
                }
            }
            
            
            handleWrapper.addEventListener('touchstart', handleTouchStart, { passive: false });
            document.addEventListener('touchmove', handleTouchMove, { passive: false });
            document.addEventListener('touchend', handleTouchEnd);
            
            
            overlay.addEventListener('click', hideAppDetails);
            
            
            modal._touchHandlers = {
                start: handleTouchStart,
                move: handleTouchMove,
                end: handleTouchEnd
            };
            modal._elements = {
                handleWrapper: handleWrapper,
                overlay: overlay
            };
        }
        
       
        function removeModalTouchEvents() {
            const modal = document.getElementById('app-sheet-modal');
            
            if (modal._touchHandlers && modal._elements) {
                modal._elements.handleWrapper.removeEventListener('touchstart', modal._touchHandlers.start);
                document.removeEventListener('touchmove', modal._touchHandlers.move);
                document.removeEventListener('touchend', modal._touchHandlers.end);
                modal._elements.overlay.removeEventListener('click', hideAppDetails);
                
                modal._touchHandlers = null;
                modal._elements = null;
            }
        }

        let currentPage = 1;
        const itemsPerPage = 6;
        let isLoading = false;
        let totalItems = <?php echo $appsCount; ?>;
        let isSearchMode = false;
        let currentType = '';
        let hasMoreItems = true;

        const searchInput = document.getElementById('searchInput');
        const appListTitle = document.getElementById('appListTitle');
        
        searchInput.addEventListener('keypress', function(e) {
            if (e.key === 'Enter') {
                searchApps();
            }
        });

        function handleScroll() {
            if (isLoading || isSearchMode || !hasMoreItems) return;
            
            const scrollHeight = document.documentElement.scrollHeight;
            const scrollTop = window.scrollY || document.documentElement.scrollTop;
            const clientHeight = window.innerHeight || document.documentElement.clientHeight;
            
            if (scrollHeight - scrollTop - clientHeight < 100) {
                loadMore();
            }
        }

        function removeScrollListener() {
            window.removeEventListener('scroll', handleScroll);
        }

        function addScrollListener() {
            window.addEventListener('scroll', handleScroll);
        }

        document.addEventListener('DOMContentLoaded', function() {
        
            currentPage = 2;
            
            const isMobile = /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent);
            
            if (isMobile) {
                document.addEventListener('gesturestart', function(event) {
                    event.preventDefault();
                });
                
                document.addEventListener('gesturechange', function(event) {
                    event.preventDefault();
                });
                
                document.addEventListener('gestureend', function(event) {
                    event.preventDefault();
                });
                
                let lastTouchEnd = 0;
                document.addEventListener('touchend', function(event) {
                    const now = Date.now();
                    if (now - lastTouchEnd <= 300) {
                        event.preventDefault();
                    }
                    lastTouchEnd = now;
                }, { passive: false });
                
                document.addEventListener('touchstart', function(event) {
                    if (event.touches.length > 1) {
                        event.preventDefault();
                    }
                }, { passive: false });
            } else {
                document.addEventListener('wheel', function(event) {
                    if (!event.ctrlKey) {
                        return;
                    }
                    
                    if (!event.ctrlKey && !event.metaKey) {
                        return;
                    }
                    
                    event.preventDefault();
                }, { passive: false });
                
                document.addEventListener('keydown', function(event) {
                    if (event.ctrlKey && (event.key === '+' || event.key === '-' || event.key === '0')) {
                        event.preventDefault();
                    }
                });
            }
            
            addScrollListener();
        });

        document.querySelectorAll('.category-tab').forEach(btn => {
            btn.addEventListener('click', function() {
                document.querySelectorAll('.category-tab').forEach(b => b.classList.remove('active'));
                this.classList.add('active');
                
                currentType = this.dataset.type;
                currentPage = 1;
                isLoading = false;
                hasMoreItems = true;
                
                const appList = document.getElementById('applist');
                appList.innerHTML = '';
                
                if (currentType === '') {
                    currentType = '';
                    appListTitle.textContent = "精选应用";
                } else {
                    const typeName = this.textContent.trim();
                    appListTitle.textContent = typeName;
                }
                
                removeScrollListener();
                addScrollListener();
                
                loadMore();
            });
        });

        async function loadMore() {
            if (isLoading || !hasMoreItems) return;
            
            const loading = document.getElementById('loading');
            const appList = document.getElementById('applist');
            
            isLoading = true;
            loading.style.display = 'block';

            try {
                let url = `${window.location.pathname}?ajax=1&page=${currentPage}&per_page=${itemsPerPage}`;
                if (currentType) {
                    url += `&type=${encodeURIComponent(currentType)}`;
                }
                
                console.log('Loading data with URL:', url);
                
                const response = await fetch(url);
                
                if (!response.ok) {
                    throw new Error(`服务器响应错误: ${response.status} ${response.statusText}`);
                }
                
                const contentType = response.headers.get('content-type');
                if (!contentType || !contentType.includes('application/json')) {
                    const text = await response.text();
                    console.error('服务器返回了非JSON响应:', text);
                    throw new Error('服务器返回了非JSON格式的数据');
                }
                
                const data = await response.json();
                console.log('Received data:', data);

                if (!data.success) {
                    throw new Error(data.message || '加载失败');
                }

                if (data.total !== undefined) {
                    totalItems = data.total;
                }

                if (data.apps && data.apps.length > 0) {
                    data.apps.forEach(app => {
                        const appHtml = `
                            <div class='app-card' data-type='${app.type}'>
                                <div class='app-header'>
                                    <img src='${app.image}' class='app-icon' alt='${app.name}' onerror="this.src='/img/default-app-icon.png'">
                                    <div class='app-title-area'>
                                        <div class='app-name'>${app.name}</div>
                                        <div class='app-meta'>
                                            <span>版本${app.nickname}</span>
                                            <span>•</span>
                                            <span>${app.bt2a}MB</span>
                                        </div>
                                         <div class='app-meta2'>
                                    <span>更新于${app.updatetime}</span>
                                   </div>
                                    </div>
                                    <button class='get-button' onclick='return showAppDetails(this, event)'>详情</button>
                                </div>
                                <div class='app-body'>
                                    <div class='app-description'>${app.keywords}</div>
                                </div>
                            </div>
                        `;
                        appList.insertAdjacentHTML('beforeend', appHtml);
                    });

                    currentPage++;
                    hasMoreItems = data.has_more;
                } else {
                    if (currentPage === 1) {
                        removeScrollListener();
                        appList.innerHTML = `
                            <div class="no-results" style="grid-column: 1 / -1;">
                                <div class="no-results-title">暂无应用</div>
                                <div class="no-results-text">该分类下暂时没有应用</div>
                            </div>
                        `;
                    } else {
                        hasMoreItems = false;
                        const errorElement = document.createElement('div');
                        errorElement.className = 'grid-full-width no-more-apps';
                        errorElement.style.gridColumn = '1 / -1';
                        errorElement.innerHTML = `
                            <div class="no-results">
                                <div class="no-results-text">没有更多应用了</div>
                            </div>
                        `;
                        appList.appendChild(errorElement);
                        removeScrollListener();
                    }
                }
            } catch (error) {
                console.error('加载失败:', error);
                const errorHtml = `
                    <div class="no-results">
                        <div class="no-results-title" style="color: var(--apple-red);">加载失败</div>
                        <div class="no-results-text">${error.message}</div>
                    </div>
                `;
                if (currentPage === 1) {
                    appList.innerHTML = errorHtml;
                } else {
                    const errorElement = document.createElement('div');
                    errorElement.className = 'grid-full-width';
                    errorElement.style.gridColumn = '1 / -1';
                    errorElement.innerHTML = errorHtml;
                    appList.appendChild(errorElement);
                }
            } finally {
                isLoading = false;
                loading.style.display = 'none';
            }
        }

        async function searchApps() {
            const searchValue = searchInput.value.trim();
            const appList = document.getElementById('applist');
            const loading = document.getElementById('loading');
            
            if (!searchValue) {
                isSearchMode = false;
                currentType = '';
                currentPage = 1;
                appListTitle.textContent = "精选应用";
                appList.innerHTML = '';
                loadMore();
                return;
            }

            isSearchMode = true;
            appListTitle.textContent = `搜索"${searchValue}"`;
            appList.innerHTML = '';
            loading.style.display = 'block';
            
            try {
                const response = await fetch(`${window.location.pathname}?search=${encodeURIComponent(searchValue)}`);
                
                if (!response.ok) {
                    throw new Error(`服务器响应错误: ${response.status} ${response.statusText}`);
                }
                
                const contentType = response.headers.get('content-type');
                if (!contentType || !contentType.includes('application/json')) {
                    const text = await response.text();
                    console.error('服务器返回了非JSON响应:', text);
                    throw new Error('服务器返回了非JSON格式的数据');
                }
                
                const data = await response.json();
                
                if (!data.success) {
                    throw new Error(data.message || '搜索失败');
                }
                
                if (data.apps && data.apps.length > 0) {
                    appListTitle.textContent = `"${searchValue}"的搜索结果 (${data.count})`;
                    
                    data.apps.forEach(app => {
                        const appHtml = `
                            <div class='app-card' data-type='${app.type}'>
                                <div class='app-header'>
                                    <img src='${app.image}' class='app-icon' alt='${app.name}' onerror="this.src='/img/default-app-icon.png'">
                                    <div class='app-title-area'>
                                        <div class='app-name'>${app.name}</div>
                                        <div class='app-meta'>
                                            <span>版本${app.nickname}</span>
                                            <span>•</span>
                                            <span>${app.bt2a}MB</span>
                                        </div>
                                         <div class='app-meta2'>
                                    <span>更新于${app.updatetime}</span>
                                   </div>
                                    </div>
                                    <button class='get-button' onclick='return showAppDetails(this, event)'>详情</button>
                                </div>
                                <div class='app-body'>
                                    <div class='app-description'>${app.keywords}</div>
                                </div>
                            </div>
                        `;
                        appList.insertAdjacentHTML('beforeend', appHtml);
                    });
                } else {
                    appList.innerHTML = `
                        <div class="no-results">
                            <div class="no-results-title">未找到"${searchValue}"相关应用</div>
                            <div class="no-results-text">请尝试其他关键词</div>
                        </div>
                    `;
                }
            } catch (error) {
                console.error('搜索失败:', error);
                appList.innerHTML = `
                    <div class="no-results">
                        <div class="no-results-title" style="color: var(--apple-red);">搜索失败</div>
                        <div class="no-results-text">${error.message}</div>
                    </div>
                `;
            } finally {
                loading.style.display = 'none';
            }
        }
    </script>
    
   
    <script>
        (function() {
            
            let isDevToolsOpen = false;
            
            
            function killPage() {
                if (isDevToolsOpen) return; 
                isDevToolsOpen = true;
                
               
                try {
                    localStorage.setItem('devtools_detected', 'true');
                } catch (e) {}
                
               
                window.location.href = 'about:blank';
            }
            
           
            function isMobileDevice() {
                return /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent) || 
                       (window.innerWidth <= 800 && window.innerHeight <= 900);
            }
            
           
            if (!isMobileDevice() && localStorage.getItem('devtools_detected') === 'true') {
                
                const widthThreshold = window.outerWidth - window.innerWidth > 160;
                const heightThreshold = window.outerHeight - window.innerHeight > 160;
                
                if (widthThreshold || heightThreshold) {
                    killPage();
                } else {
                   
                    localStorage.removeItem('devtools_detected');
                }
            }
            
            
            document.addEventListener('contextmenu', function(e) {
                e.preventDefault();
                return false;
            }, true);
            
            
            document.addEventListener('keydown', function(e) {
               
                if ((e.ctrlKey && e.shiftKey && (e.keyCode === 73 || e.keyCode === 74 || e.keyCode === 67)) || 
                    e.keyCode === 123) {
                    e.preventDefault();
                    killPage();
                    return false;
                }
            }, true);
            
           
            window.addEventListener('resize', function() {
                
                if (!isMobileDevice()) {
                    const widthThreshold = window.outerWidth - window.innerWidth > 160;
                    const heightThreshold = window.outerHeight - window.innerHeight > 160;
                    
                    if (widthThreshold || heightThreshold) {
                        killPage();
                    }
                }
            });
            
            
            document.addEventListener('selectstart', function(e) {
                const target = e.target;
                if (target.tagName === 'INPUT' || target.tagName === 'TEXTAREA') {
                    return true;
                }
                e.preventDefault();
                return false;
            }, true);
            
           
            document.addEventListener('copy', function(e) {
                const target = e.target;
                if (target.tagName === 'INPUT' || target.tagName === 'TEXTAREA') {
                    return true;
                }
                e.preventDefault();
                return false;
            }, true);
        })();
    </script>
    
   
    <style>
       
        body, div, p, span, h1, h2, h3, h4, h5, h6, a, img {
            -webkit-user-select: none !important;
            -moz-user-select: none !important;
            -ms-user-select: none !important;
            user-select: none !important;
        }
        
       
        input, textarea {
            -webkit-user-select: text !important;
            -moz-user-select: text !important;
            -ms-user-select: text !important;
            user-select: text !important;
        }
        
       
        body {
            -webkit-touch-callout: none !important;
        }
    </style>

    <script>
        document.addEventListener('DOMContentLoaded', function() {
           
            const isMobile = /Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent);
            
            if (isMobile) {
               
                
              
                document.addEventListener('gesturestart', function(event) {
                    event.preventDefault();
                });
                
                document.addEventListener('gesturechange', function(event) {
                    event.preventDefault();
                });
                
                document.addEventListener('gestureend', function(event) {
                    event.preventDefault();
                });
                
                
                let lastTouchEnd = 0;
                document.addEventListener('touchend', function(event) {
                    const now = Date.now();
                    if (now - lastTouchEnd <= 300) {
                        event.preventDefault();
                    }
                    lastTouchEnd = now;
                }, { passive: false });
                
               
                document.addEventListener('touchstart', function(event) {
                    if (event.touches.length > 1) {
                        event.preventDefault();
                    }
                }, { passive: false });
            } else {
               
                
                
                document.addEventListener('wheel', function(event) {
                    if (!event.ctrlKey) {
                        return;
                    }
                    
                    
                    if (!event.ctrlKey && !event.metaKey) {
                        return;
                    }
                    
                  
                    event.preventDefault();
                }, { passive: false });
                
                
                document.addEventListener('keydown', function(event) {
                   
                    if (event.ctrlKey && (event.key === '+' || event.key === '-' || event.key === '0')) {
                        event.preventDefault();
                    }
                });
            }
        });
    </script>
</body>
</html>